[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[lvm-devel] LVM2/test harness.sh



CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	mornfall sourceware org	2008-09-30 21:45:42

Modified files:
	test           : harness.sh 

Log message:
	Make harness.sh exit with non-zero status when tests fail.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/harness.sh.diff?cvsroot=lvm2&r1=1.2&r2=1.3

--- LVM2/test/harness.sh	2008/09/30 21:43:16	1.2
+++ LVM2/test/harness.sh	2008/09/30 21:45:42	1.3
@@ -29,6 +29,7 @@
     for t in $failed; do
 	printf "\t%s\n" $t
     done
+    exit 1
 else
     echo "All tests passed."
 fi


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]